Subject: [multimob] Review of draft-ietf-multimob-pmipv6-ropt-02

From: "Rahman, Akbar" <[email-masked]>
Date: Tue, 8 Jan 2013 12:35:53 -0500

Hi,

As per my action from the IETF-Atlanta meeting, I have reviewed:

http://www.ietf.org/id/draft-ietf-multimob-pmipv6-ropt-02.txt

and have the following comments:

1)      Section 1, 4th paragraph

*         Can you give some more guidance (qualitative or quantitative)
as to when the two  enhancements covered in this I-D should be used over
the baseline (RFC6224) solution?  A (small) separate section to cover
this question in the Overview (section 3) would be very helpful.

2)      Section 3.2, Figure 2 

*         This figure should be re-drawn to match the conventions of
Figure 1 (or vice versa).  Since Figure 1 and Figure 2 are supposed to
illustrate the two main options of the I-D, it is unfortunate that they
are currently using different conventions (e.g. Fig. 2 shows MN
movement, while Fig. 1 does not). 

3)      Section 6

*         For completeness, I think you need a (short) new section
similar to this one for the MR.

4)      Section 9

*         Needs to be updated to cover section 5.1.2 "Type"

5)      Section 10

*         But isn't there protocol modifications proposed, for example,
in section 5.1.1?

*         Also, the MTMA is introduced as a new node not existing in
previous PMIP architectures.  So definitely some discussion is needed to
show the security considerations of the MTMA.  Perhaps the same is
needed for the MR in the Direct Routing option?

6)      General - Overall, the document is well written and in good
shape, and I support in progressing it further once the updates above
are made.

 

/Akbar

---

From: Behcet Sarikaya <[email-masked]>
Date: Tue, 8 Jan 2013 13:15:26 -0600

Hi all,

First of all Happy New Year to everyone!

Thanks Akbar for posting your review and being so timely on this as always,
we appreciate it :-).

My message is to others who also committed a review, please post your
reviews.

Let's help WG draft authors by good reviews. I am hoping that at least a
few of them can be in WGLC status maybe after presentations in Orlando.

Regards,

Behcet

On Tue, Jan 8, 2013 at 11:35 AM, Rahman, Akbar <
[email-masked]> wrote:

> Hi,****
>
> ** **
>
> ** **
>
> As per my action from the IETF-Atlanta meeting, I have reviewed:****
>
> ** **
>
> http://www.ietf.org/id/draft-ietf-multimob-pmipv6-ropt-02.txt****
>
> ** **
>
> and have the following comments:****
>
> ** **
>
> **1)      **Section 1, 4th paragraph****
>
> **·         **Can you give some more guidance (qualitative or
> quantitative) as to when the two  enhancements covered in this I-D should
> be used over the baseline (RFC6224) solution?  A (small) separate section
> to cover this question in the Overview (section 3) would be very helpful.*
> ***
>
> ** **
>
> **2)      **Section 3.2, Figure 2 ****
>
> **·         **This figure should be re-drawn to match the conventions of
> illustrate the two main options of the I-D, it is unfortunate that they are
> currently using different conventions (e.g. Fig. 2 shows MN movement, while
> Fig. 1 does not). ****
>
> ** **
>
> **3)      **Section 6****
>
> **·         **For completeness, I think you need a (short) new section
> similar to this one for the MR.****
>
> ** **
>
> **4)      **Section 9****
>
> **·         **Needs to be updated to cover section 5.1.2 “Type”****
>
> ** **
>
> **5)      **Section 10****
>
> **·         **But isn’t there protocol modifications proposed, for
> example, in section 5.1.1?****
>
> **·         **Also, the MTMA is introduced as a new node not existing in
> show the security considerations of the MTMA.  Perhaps the same is needed
> for the MR in the Direct Routing option?****
>
> ** **
>
> **6)      **General – Overall, the document is well written and in good
> shape, and I support in progressing it further once the updates above are
> made.****
>
> ** **
>
> ** **
>
> ** **
>
> ** **
>
> /Akbar****
>
> ** **
>
> _______________________________________________
> multimob mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/multimob
>
>